/*
 * Copyright © 2010 DV Bern AG, Switzerland
 *
 * Das vorliegende Dokument, einschliesslich aller seiner Teile, ist urheberrechtlich
 * geschuetzt. Jede Verwertung ist ohne Zustimmung der DV Bern AG unzulaessig. Dies gilt
 * insbesondere fuer Vervielfaeltigungen, die Einspeicherung und Verarbeitung in
 * elektronischer Form. Wird das Dokument einem Kunden im Rahmen der Projektarbeit zur
 * Ansicht uebergeben ist jede weitere Verteilung durch den Kunden an Dritte untersagt.
 *
 * $Id$
 */
package com.test.some;

import javax.enterprise.event.Observes;
import javax.enterprise.inject.spi.CDI;

import org.jboss.weld.environment.se.events.ContainerInitialized;

import com.test.another.IAnotherJarBean;

public class TestCDI {

	public void start(@Observes ContainerInitialized init) {
		System.out.println("Started, attempt lookup: ");
		System.out.println(CDI.current().select(IAnotherJarBean.class).get());
	}
}
